> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keywordsai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# AssemblyAI integration

Use Keywords AI gateway to call and log AssemblyAI speech-to-text models.

## Authentication

All endpoints require API key authentication:

```bash theme={"system"}
Authorization: Bearer YOUR_API_KEY
X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY
```

## Path Parameters

<ParamField path="transcript_id" type="string" required>
  The AssemblyAI transcript ID to retrieve.
</ParamField>

## Headers

<ParamField header="X-Assemblyai-Api-Key" type="string" required>
  Your AssemblyAI API key for authentication with AssemblyAI services.
</ParamField>

## Examples

<CodeGroup>
  ```python Python theme={"system"}
  import requests

  url = "https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}"
  headers = {
      "Authorization": "Bearer YOUR_KEYWORDSAI_API_KEY",
      "X-Assemblyai-Api-Key": "YOUR_ASSEMBLYAI_API_KEY"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```bash cURL theme={"system"}
  curl -X GET "https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}" \
    -H "Authorization: Bearer YOUR_KEYWORDSAI_API_KEY" \
    -H "X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY"
  ```
</CodeGroup>

<Note>
  For more details on using AssemblyAI with Keywords AI, see the [AssemblyAI integration guide](/integration/providers/assemblyai).
</Note>
